FANDOM


JK2 nowadays comes already patched to 1.04.

In order to play with us, you should use a version switcher, an easy non-destructive tool to quickly jump between 1.02 and 1.04.

A download link can be found here.

Extract this inside your GameData folder. It can be found where you installed the game. Then run the JK2vs.exe and follow the instructions there! This also works on the Steam version of the game, and the path is by default -..\steam\steamapps\common\Jedi Outcast\GameData.

The tool comes with separate folders for 1.02 and 1.04, and keeps the original files there - then it simply switches out the necessary pk3 and system files for it to work on either version.

If you find that your controllers have lost their key bindings after such a switch, try to execute any configs if you have saved any. If not, you could always go to Setup > Defaults, and it will set all controllers and settings back to default. See here for more information on setting up your game settings.

EDIT: Discard all above and get www.jk2mv.org

Ad blocker interference detected!


Wikia is a free-to-use site that makes money from advertising. We have a modified experience for viewers using ad blockers

Wikia is not accessible if you’ve made further modifications. Remove the custom ad blocker rule(s) and the page will load as expected.